#!/bin/bash
	echo "if you want to exit this script then press the keys control-c ,or if you want to go back to open source drivers type 'open'"&& sleep 3
	echo "removing ati-driver folder"&& sleep 2
	cd ~/
	sudo rm -r /ati-driver	
	cd ~/; mkdir ati-driver; cd ati-driver/
	read -p "What driver version do you want to use, enter like xx-x ? " version 
	read -p "what flavor of Ubuntu is this for ? Enter 'l' for Lucid, or 'm' for Maverick, or 'n' for Natty " ubuntu	
	wget http://www2.ati.com/drivers/linux/ati-driver-installer-$version-x86.x86_64.run
if [ -r *.run ]; then
# this module remove the old ati vid drivers and installs and configures fglrx driver and (optional)submodule adds experimental video acceleration	
	echo "the file downloaded "&& sleep 2	
	sudo apt-get update -f
	echo "This the point of no return press control-c if in doubt" && sleep 5
      	sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx
      	sudo cp /etc/X11/xorg.conf /etc/X11/xorg.conf.backup
	echo "removing xorg.conf"&& sleep 2
	sudo rm -f /etc/X11/xorg.conf

	#just to make sure we can boot into some kind of display if things go bad
	sudo cp /etc/X11/xorg.conf.original-0 /etc/X11/xorg.conf	
	echo "removing usr/lib/fglrx"&& sleep 2
	sudo rm -r /usr/lib/fglrx 
	echo "removing usr/lib32/fglrx"&& sleep 2
	sudo rm -r /usr/lib32/fglrx		
	sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases
	sudo apt-get install ia32-libs
	sudo apt-get remove --purge xserver-xorg-video-radeon
	chmod +x ati-driver-installer-$version-x86.x86_64.run
	sudo apt-get remove --purge xserver-xorg-video-radeon
case $ubuntu in

    [Ll])  mkdir lucid; cd lucid
	wget http://www2.ati.com/drivers/linux/ati-driver-installer-$version-x86.x86_64.run
	chmod +x ati-driver-installer-$version-x86.x86_64.run
	sh ati-driver-installer-$version-x86.x86_64.run --buildpkg Ubuntu/lucid	
               ;;

   [Mm])  mkdir maverick; cd maverick
	wget http://www2.ati.com/drivers/linux/ati-driver-installer-$version-x86.x86_64.run
	chmod +x ati-driver-installer-$version-x86.x86_64.run	
	sh ati-driver-installer-$version-x86.x86_64.run --buildpkg Ubuntu/maverick
                ;;
   [Nn]) mkdir natty; cd natty
	wget http://www2.ati.com/drivers/linux/ati-driver-installer-$version-x86.x86_64.run
	chmod +x ati-driver-installer-$version-x86.x86_64.run	
	sh ati-driver-installer-$version-x86.x86_64.run --buildpkg Ubuntu/natty
                ;;
       *) echo "Invalid input"
           ;;
esac
	sudo dpkg -i fglrx*.deb
	sudo aticonfig --initial -f
	sudo aticonfig --initial -f --set-pcs-str="DDX,EnableRandR12,FALSE"
	sudo aticonfig --input=/etc/X11/xorg.conf --tls=1
		read -p "Do you want add experimental video acceleration ,answer 'y' for yes or 'n' for no ? " answer
		if [ "$answer" == y ]; then 
			echo "yes"&& sleep 2
	
		read -p "What architect are building for ? Enter either 'i386' or 'amd64' " arch 
		if [ "$arch" == i386 ]; then
			sudo add-apt-repository ppa:dtl131/catalysthacks
			sudo apt-get update -f
			wget http://www.splitted-desktop.com/~gbeauchesne/xvba-video/xvba-video_0.7.8-1_i386.deb
			sudo dpkg -i xvba-video_0.7.8-1_i386.deb
		elif [ "$arch" == amd64 ]; then
			sudo add-apt-repository ppa:dtl131/catalysthacks
			sudo apt-get update -f
        		wget http://www.splitted-desktop.com/~gbeauchesne/xvba-video/xvba-video_0.7.8-1_amd64.deb
			sudo dpkg -i xvba-video_0.7.8-1_amd64.deb
		else 
			echo "The file does not exist."
		fi

	else echo "no"&& sleep 2
	fi	
	sudo reboot now
elif [ -f *.run ]; then
	echo "The file downloaded  but is not readable to the script."
# this module reinstalls and reconfigures open source drivers
elif [ "$version" == open ]; then
	echo "we will use the open source drivers"&& sleep 2	
	sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx
	echo "removing usr/lib/fglrx"&& sleep 2
	sudo rm -r /usr/lib/fglrx 
	echo "removing usr/lib32/fglrx"&& sleep 2			
	sudo apt-get remove --purge xserver-xorg-video-ati xserver-xorg-video-radeon
	sudo apt-get install xserver-xorg-video-ati
	sudo apt-get install --reinstall libgl1-mesa-glx libgl1-mesa-dri xserver-xorg-core
	sudo dpkg-reconfigure xserver-xorg
	sudo rm -r /usr/lib/fglrx
else
	echo "The file does not exist."
fi
